GLS ShipIT 4.0.f7 GLS ShipIT - SOAP services

Public Member Functions | Protected Attributes | List of all members
eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ValidationIssue Class Reference

## Public Member Functions
String | getRule ()
void | setRule (String value)
String | getLocation ()
void | setLocation (String value)
List< String > | getParameters ()

## Protected Attributes
String | rule
String | location
List< String > | parameters

## Detailed Description

Data structure explaining the validation issue

Java class for ValidationIssue complex type.

The following schema fragment specifies the expected content contained within this class.

    <complexType name="ValidationIssue">
      <complexContent>
        <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
          <sequence>
            <element name="Rule" type="{http://www.w3.org/2001/XMLSchema}string"/>
            <element name="Location" type="{http://www.w3.org/2001/XMLSchema}string"/>
            <element name="Parameters" type="{http://www.w3.org/2001/XMLSchema}string" maxOccurs="unbounded" minOccurs="0"/>
          </sequence>
        </restriction>
      </complexContent>
    </complexType>

Definition at line 43 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ValidationIssue.java.

## Member Function Documentation

## ◆ getLocation()

String eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ValidationIssue.getLocation | ( |  | ) |

Gets the value of the location property.

Returns
  possible object is String

Definition at line 84 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ValidationIssue.java.

## ◆ getParameters()

List<String> eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ValidationIssue.getParameters | ( |  | ) |

Gets the value of the parameters property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the parameters property.

For example, to add a new item, do as follows:

       getParameters().add(newItem);

Objects of the following type(s) are allowed in the list String

Definition at line 122 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ValidationIssue.java.

## ◆ getRule()

String eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ValidationIssue.getRule | ( |  | ) |

Gets the value of the rule property.

Returns
  possible object is String

Definition at line 60 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ValidationIssue.java.

## ◆ setLocation()

void eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ValidationIssue.setLocation | ( | String | value | ) |

Sets the value of the location property.

Parameters

  value | allowed object is String

Definition at line 96 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ValidationIssue.java.

## ◆ setRule()

void eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ValidationIssue.setRule | ( | String | value | ) |

Sets the value of the rule property.

Parameters

  value | allowed object is String

Definition at line 72 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ValidationIssue.java.

## Member Data Documentation

## ◆ location

String eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ValidationIssue.location
| protected

Definition at line 48 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ValidationIssue.java.

## ◆ parameters

List<String> eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ValidationIssue.parameters
| protected

Definition at line 50 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ValidationIssue.java.

## ◆ rule

String eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ValidationIssue.rule
| protected

Definition at line 46 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ValidationIssue.java.

The documentation for this class was generated from the following file:

- glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ValidationIssue.java